Name:            pyparsing
Version:         3.0.9
Release:         1
Summary:         A Python Parsing Module
License:         MIT
URL:             https://github.com/pyparsing/pyparsing/
Source0:         https://github.com/pyparsing/pyparsing/releases/download/pyparsing_%{version}/pyparsing-%{version}.tar.gz

BuildArch:       noarch
BuildRequires:   dos2unix python3-devel python3-setuptools python3-tox python3-coverage python3-flit-core
BuildRequires:   python%{python3_pkgversion}-pip python%{python3_pkgversion}-wheel

%description
The pyparsing module is an alternative approach to creating and executing simple
grammars, vs. the traditional lex/yacc approach, or the use of regular expressions.
The pyparsing module provides a library of classes that client code uses to
construct the grammar directly in Python code.

%package      -n python3-pyparsing
Summary:         Pyparsing for python3
Provides:        python%{python3_pkgversion}dist(pyparsing) = %{version}
Provides:        python%{python3_version}dist(pyparsing) = %{version}
%{?python_provide:%python_provide python3-%pyparsing}

%description  -n python3-pyparsing
pyparsing is a module that can be used to easily and directly configure syntax
definitions for any number of text parsing applications.

%package         help
Summary:         Documents for %{name}
Buildarch:       noarch
Requires:		 man info
Provides:        pyparsing-doc
Obsoletes:       pyparsing-doc

%description     help
Man pages and other related documents for %{name}.

%prep
%autosetup -n %{name}-%{version}

dos2unix -k CHANGES LICENSE

%build
%pyproject_build

%install
%pyproject_install

%check
%{__python3} tests/test_simple_unit.py

%pre

%preun

%post

%postun

%files -n python3-pyparsing
%license LICENSE
%doc CHANGES README.rst
%{python3_sitelib}/pyparsing/
%{python3_sitelib}/pyparsing-*dist-info/

%files help
%doc CHANGES README.rst docs examples

%changelog
* Fri Jul 28 2023 zhuofeng <zhuofeng2@huawei.com> - 3.0.9-1
- update version to 3.0.9

* Sat May 27 2023 yanglongkang <yanglongkang@h-partners.com> - 3.0.7-2
- enable check

* Fri Jul 01 2022 wangkuntian <wangkuntian@uniontech.com> - 3.0.7-1
- Upgrade package pyparsing to version 3.0.7

* Wed Dec 01 2021 shixuantong <shixuantong@huawei.com> - 3.0.6-1
- update version to 3.0.6

* Sat Sep 5 2020 shixuantong <shixuantong@huawei.com> - 2.4.7-3
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: update Source0

* Fri Aug 7 2020 wenzhanli<wenzhanli2@huawei.com> - 2.4.7-2
- Type:bugfix
- ID:NAl
- SUG:NA
- DESC:remove python2 require

* Fri Jul 17 2020 shixuantong <shixuantong@huawei.com> -2.4.7-1
- update to 2.4.7-1

* Fri Sep 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.2.0-4
- Package init
